Upgrade to Tycho 1.4.0

Description

Upgrade build tool to Tycho 1.4.0 (ecj 3.17.0, JDK11 and Eclipse 2019-03).

Environment

None

Activity

Show:
Murilo Habermann Torquato
April 10, 2019, 4:59 PM
Edited

Hi ,

I'm trying to test the patch but i'm getting a 404 error when downloading files from https://raw.githubusercontent.com/idempiere/binary.file/master/p2.maven/maven-p2-R20190304

NOTE: when following the guide http://wiki.idempiere.org/en/Install_Development_Prerequisites to configure Eclipse 2019 03 Mercurial Eclipse is not available on marketplace yet. I installed from the P2 site https://bitbucket.org/mercurialeclipse/update-site/raw/default/

The same for tycho utils. Here is the P2 http://ancitconsulting.com/tycho-utils/

Heng Sin Low
April 11, 2019, 12:25 PM
Murilo Habermann Torquato
April 30, 2019, 9:02 PM

Hi ,

Today when starting a fresh workspace based on default branch I got two little problems:

1 - version of daisydiff - just changed pom to 1.1.15

2 - when running the server, in your last commit related to this ticket an updated vesion of server.product.launch file was sent, but when I tried to add some custom plugins with eclipse, from the "server.product" definition:

i got errors on startup:

Also the cxf dependencies on webservice plugin was defined with an older version than the platform.

attached you can find a

that solves this issues for your review

Carlos Ruiz
May 4, 2019, 10:31 AM

Jenkins threw error today about daisydiff - integrating changes from Murilo to fix.
http://ci.idempiere.org/job/iDempiere/129/console

Assignee

Heng Sin Low

Reporter

Heng Sin Low

Labels

None

Tested By

None

Components

Fix versions

Affects versions

Priority

Major
Configure